Subject: Re: CYGWIN32 and mount modes
From: [email-masked] (Michael Hirmke)

24 May 1998 16:59:12 -0700
Message-ID: <[email-masked]>
References: <356aacee.5008021@mail>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Michael,

>Hi Cygwin32 folks,
>
>Could someone explain me what the CYGWIN32 environment variable with
>its values tty, notty, binmode etc. is for or point me to some source
>of _complete_ documentation? As I read in the list almost every
>setting has some benefit but also some disadvantage.
>

It is not complete, but IMHO better than nothing:

[no]strip_title - works in conjunction with 'title'.  Strips the path spec
                  from what is displayed in the console title bar when the
                  program is run.

[no]binmode     - Use 'binmode' as the default open mode when the mode is
                  not otherwise specified in the open or by mount.

[no]glob        - Do not perform globbing operations on the command line when
                  a cygwin process is being invoked from a non-cygwin shell.

strace          - A cygwinb19.dll debugging aid.  Setting mask to '1' will
                  cause reams of information about the operation of cygwin
                  to be written to 'file' as cygwin operates.  The rest
                  of the bits control the display various cygwin subsystems.
                  For a complete list check out /usr/include/sys/strace.h.
                  The cache setting controls how much strace output will be
                  held in memory before being output to disk.

Thi is, what Chris Faylor has written a few months ago, so there are have
been added a few more options:

[no]tty
[no]title
....???...

[...]
>
>bye
>
>Michael

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".